Strophe 0.9 XMPP client library

Functions
scram.h File Reference

SCRAM-SHA1 helper functions. More...

## Functions
void | SCRAM_SHA1_ClientKey (const uint8_t *password, size_t len, const uint8_t *salt, size_t salt_len, uint32_t i, uint8_t *key)
void | SCRAM_SHA1_ClientSignature (const uint8_t *ClientKey, const uint8_t *AuthMessage, size_t len, uint8_t *sign)
void | SCRAM_SHA1_ClientProof (const uint8_t *ClientKey, const uint8_t *ClientSignature, uint8_t *proof)

## Detailed Description

SCRAM-SHA1 helper functions.

## Function Documentation

## § SCRAM_SHA1_ClientKey()

void SCRAM_SHA1_ClientKey | ( | const uint8_t * | password,
|  | size_t | len,
|  | const uint8_t * | salt,
|  | size_t | salt_len,
|  | uint32_t | i,
|  | uint8_t * | key
| ) |  |

## § SCRAM_SHA1_ClientSignature()

void SCRAM_SHA1_ClientSignature | ( | const uint8_t * | ClientKey,
|  | const uint8_t * | AuthMessage,
|  | size_t | len,
|  | uint8_t * | sign
| ) |  |

## § SCRAM_SHA1_ClientProof()

void SCRAM_SHA1_ClientProof | ( | const uint8_t * | ClientKey,
|  | const uint8_t * | ClientSignature,
|  | uint8_t * | proof
| ) |  |